Skip to main content

Nexus Repository 3.45.0 - 3.45.1 Release Notes

Highlights in This Release

Admin - Change Repository Blob Store Task Disabled (3.45.0)

Due to known issues that can result in data loss, we have disabled the Admin - Change repository blob store task for your protection. We highly discourage you from using this task in earlier Nexus Repository releases where it is not disabled.

Changes for PostgreSQL Deployments with Resultant Upgrade Impacts (3.45.0)

What's New in 3.45.0 - 3.45.1?

3.45.1 Released January 17, 2023

This release fixes an import/export bug for npm dist-tags. See the Bug Fixes section below.

3.45.0 Released December, 2022

This release focuses on bugs, including an important change to protect your data from a known issue. See the Bug Fixes section below.

Changes for PostgreSQL Deployments with Resultant Upgrade Impacts

Beginning with release 3.44.0, Nexus Repository 3 instances with PostgreSQL databases use the pg_trgm (trigram) module; we enabled this module to prepare for upcoming search performance improvements. This module may not be installed with PostgreSQL by default on all Linux distributions, which will result in an exception when attempting to upgrade. If you find yourself in this situation, you will need to install the postgresql-contrib package available from your Linux distribution. In order to install it, the PostgreSQL user must have CREATE privileges on the current database.See our knowledge base article for further information.

We have updated our documentation to note the new PostgreSQL database user permission requirements introduced as of 3.44.0.

Bug Fixes

3.45.1 Bug Fixes

Ticket Number

Description

NEXUS-36400

Npm package dist-tags are now preserved as expected during repository export and import.

3.45.0 Bug Fixes

Ticket Number

Description

NEXUS-36046

Roles UI calls to backend now include the x-nexus-ui request header as expected.

NEXUS-36239

Due to multiple known issues that can lead to data loss, we have disabled the Admin - Change repository blob store task for your protection. All pre-existing tasks of this type will no longer run, and you will not be able to create new ones through either the user interface or API. We highly discourage you from using this task in earlier Nexus Repository releases where it is not disabled.